API reference › Finance › Payables

Get detailed information for multiple payables

GET /v1/finance/payables-details

Scope
finance:read
Roles
admin, scheduler

Retrieves comprehensive details for multiple payables including provider information, assignments, shifts, financial summary, and line items. Used for selecting payables to include in payment statements.

Parameters

Query parameters

NameTypeDescription
ids requiredstring

Comma-separated list of Payable IDs to get details for

Example PAYB-12345,PAYB-67890.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/finance/payables-details?ids=PAYB-12345,PAYB-67890" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Payable details retrieved successfully

Payable details retrieved successfully

JSON
{
  "success": true,
  "message": "Payable details retrieved successfully",
  "data": [
    {
      "id": "PAYB-12345",
      "selectedPayableSummary": {
        "id": "PAYB-12345",
        "provider": {
          "id": "SP-12345",
          "name": "Archer Moon",
          "email": "amanda890@ideo.com",
          "phone": "(123) 456-7890"
        },
        "financialSummary": {
          "totalPayableAmount": 178.5
        },
        "status": "Sent",
        "total": 178.5,
        "is_paid": false,
        "paid_label": null
      }
    }
  ]
}
Response fields (17)
FieldTypeDescription
successboolean

Example true.

messagestring

Example Payable details retrieved successfully.

dataarray of object
data[].idstring

Payable id for list selection

Example PAYB-12345.

data[].selectedPayableSummaryobject

Expanded payable card, mirroring invoice selectedInvoiceSummary. Same item shape as payment statement selectedPayablesSummary: provider profile block (contact info + role), per-assignment/shift Service Breakdown with itemized expenses, financialSummary and paymentHistory.

data[].selectedPayableSummary.idstring

Example PAYB-12345.

data[].selectedPayableSummary.providerobject
data[].selectedPayableSummary.provider.idstring

Example SP-12345.

data[].selectedPayableSummary.provider.namestring

Example Archer Moon.

data[].selectedPayableSummary.provider.emailstring

Example amanda890@ideo.com.

data[].selectedPayableSummary.provider.phonestring

Example (123) 456-7890.

data[].selectedPayableSummary.financialSummaryobject
data[].selectedPayableSummary.financialSummary.totalPayableAmountnumber (float)

Example 178.5.

data[].selectedPayableSummary.statusstring

Example Sent.

data[].selectedPayableSummary.totalnumber (float)

Example 178.5.

data[].selectedPayableSummary.is_paidboolean

True if this payable is paid (status PAYABLE_PAID or balance_due <= 0 and paid_amount > 0). Exclude it from the payment statement total and charges.

Example false.

data[].selectedPayableSummary.paid_labelstring or null

'Paid in payable' when is_paid is true; null otherwise.

400 Bad request

Missing required parameter

JSON
{
  "success": false,
  "message": "Missing required parameter: ids"
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Missing required parameter: ids.

401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'finance:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'finance:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal server error

JSON
{
  "success": false,
  "message": "An unexpected error occurred"
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example An unexpected error occurred.